
%global meadversion 1.0.17
%global namedversion 1.0.17.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package jgroups-kubernetes} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.17.Final-redhat-00001

Name:           %{?scl_prefix}jgroups-kubernetes
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) API for XML-Based Web Services 2.3
Group:          Development/Java

%if %with mead
Source100: jgroups-kubernetes-1.0.17.Final-redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/jgroups-extras/jgroups-kubernetes

BuildArch:      noarch
BuildRoot:      %{_tmppath}/jgroups-kubernetes-%{namedversion}-%{release}-root

%description
JSR-000224: Java(TM) API for XML-Based Web Services 2.3.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jgroups-kubernetes
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jgroups-kubernetes-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jgroups-kubernetes-%{namedversion}.jar %{buildroot}%{_javadir}/jgroups-kubernetes-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jgroups-kubernetes-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jgroups-kubernetes-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jgroups-kubernetes-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jgroups-kubernetes-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jgroups-kubernetes-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jgroups-kubernetes-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jgroups-kubernetes-%{namedversion} -x META-INF/\*
%{__ln_s} jgroups-kubernetes-%{namedversion} %{buildroot}%{_javadocdir}/jgroups-kubernetes
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.adoc

%{_javadir}/jgroups-kubernetes-%{namedversion}.jar
%{_javadir}/jgroups-kubernetes.jar
%if %with javadoc
%exclude %{_javadir}/jgroups-kubernetes-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jgroups-kubernetes-javadoc.jar
%endif
%{_javadir}/jgroups-kubernetes-%{namedversion}-sources.jar
%{_javadir}/jgroups-kubernetes-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jgroups-kubernetes-%{namedversion}
%{_javadocdir}/jgroups-kubernetes
%{_javadir}/jgroups-kubernetes-%{namedversion}-javadoc.jar
%{_javadir}/jgroups-kubernetes-javadoc.jar
%endif

%changelog
* Wed Feb 28 2024 Harsha Cherukuri <hcheruku@redhat.com> - 1.0.17-1.Final_redhat_00001.1
- Wrapper build 1.0.17.Final_redhat_00001

* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 1.0.16-1.Final_redhat_00001.1
- Built by CPaaS

* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 1.0.15-1.Final_redhat_00001.1
- RPM wrapper build 1.0.15.Final-redhat-00001

* Tue Feb 11 2020 Yong Yang <yyang@redhat.com> - 1.0.14-1.Final_redhat_00001.1
-  1.0.14.Final-redhat_00001 

* Tue Feb 11 2020 Yong Yang <yyang@redhat.com> - 1.0.13-2.Final_redhat_00001.1
-  1.0.14.Final-redhat_00001 

* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.13-1.Final_redhat_00001.1
- 1.0.13.Final-redhat-00001

* Tue Oct 15 2019 Yong Yang <yyang@redhat.com> - 1.0.6-2.Final_redhat_2.3
- RPM wrapper build 1.0.13.Final-redhat-00001

* Wed Sep 11 2019 Yong Yang <yyang@redhat.com> - 1.0.6-1.Final_redhat_2.2
- RPM wrapper build 1.0.12.Final-redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.9-1.Final_redhat_00001.1
- 1.0.9.Final-redhat-00001

* Tue Jun 05 2018 Yong Yang <yyang@redhat.com> - 1.0.6-1.Final_redhat_2.1
-  1.0.6.Final-redhat-2 

* Tue Jun 05 2018 Yong Yang <yyang@redhat.com> - 1.0.6-1.Final_redhat_2.1
-  1.0.6.Final-redhat-2 

* Tue Jun 05 2018 Yong Yang <yyang@redhat.com> 0:1.0.6.Final-redhat-1
- 1.0.6.Final-redhat-1
